boost::geometry::strategy::buffer::distance_symmetric< NumericType > Class Template Reference
strategies: strategies

Let the buffer algorithm create buffers with same distances. More...

List of all members.

## Public Member Functions

| distance_symmetric (NumericType const &distance)
| Constructs the strategy, a distance must be specified.

## Detailed Description

### template<typename NumericType>
class boost::geometry::strategy::buffer::distance_symmetric< NumericType >

Let the buffer algorithm create buffers with same distances.

Template Parameters:

  NumericType | numerical type (int, double, ttmath, ...)

This strategy can be used as DistanceStrategy for the buffer algorithm. It can be applied for all geometries. It uses one distance for left and for right. If the distance is negative and used with a (multi)polygon or ring, the geometry will shrink (deflate) instead of expand (inflate).

## Constructor & Destructor Documentation

template<typename NumericType >

boost::geometry::strategy::buffer::distance_symmetric< NumericType >::distance_symmetric | ( | NumericType const & | distance | ) | `[explicit]`

Constructs the strategy, a distance must be specified.

Parameters:

  distance | The distance (or radius) of the buffer

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK